#11 build error, memset not included

v1.0 (example)
closed-fixed
None
5
2014-03-31
2013-09-23
No

Hi, I have the following build error with 1.17 :

g++ -O3 -ffast-math -Wall -c -fmessage-length=0 pkg-config --cflags gtk+-2.0 gthread-2.0; -MMD -MP -MF"src/texture.d" -MT"src/texture.d" -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -o"src/texture.o" "../src/texture.cpp"
../src/texture.cpp: In constructor ‘cTexture::cTexture(const char)’:
../src/texture.cpp:56:42: error: ‘memset’ was not declared in this scope
memset(bitmap,255,sizeof(sRGB8)
100100);
^
../src/texture.cpp: In constructor ‘cTexture::cTexture()’:
../src/texture.cpp:66:41: error: ‘memset’ was not declared in this scope
memset(bitmap,255,sizeof(sRGB8)
100100);
^
make:
** [src/texture.o] Error 1

I am using :

gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/gcc/src/gcc-4.8-20130725/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch --enable-gnu-unique-object --enable-linker-build-id --enable-cloog-backend=isl --disable-cloog-version-check --enable-lto --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold --with-linker-hash-style=gnu --disable-install-libiberty --disable-multilib --disable-libssp --disable-werror --enable-checking=release
Thread model: posix
gcc version 4.8.1 20130725 (prerelease) (GCC)

found attached a patch.

1 Attachments

Related

Bugs: #11

Discussion

  • Krzysztof Marczak

    Thanks for reporting this problem. On which Linux distribution you are working? On many systems this problem doesn't occur.

     
  • Krzysztof Marczak

    • status: open --> open-accepted
    • assigned_to: Krzysztof Marczak
     
  • Wilfried Fauvel

    Wilfried Fauvel - 2013-09-23

    Hi,
    I am using arch Linux 64bits,
    I guess cstring is somehow included automagicaly in Ubuntu.
    Thx
    On Sep 23, 2013 2:22 PM, "Krzysztof Marczak" buddhi1980@users.sf.net
    wrote:

    Thanks for reporting this problem. On which Linux distribution you are
    working? On many systems this problem doesn't occur.


    Status: open
    Created: Mon Sep 23, 2013 01:21 AM UTC by Wilfried Fauvel
    Last Updated: Mon Sep 23, 2013 01:21 AM UTC
    Owner: nobody

    Hi, I have the following build error with 1.17 :

    g++ -O3 -ffast-math -Wall -c -fmessage-length=0 pkg-config --cflags
    gtk+-2.0 gthread-2.0; -MMD -MP -MF"src/texture.d" -MT"src/texture.d"
    -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector
    --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -o"src/texture.o"
    "../src/texture.cpp"
    ../src/texture.cpp: In constructor ‘cTexture::cTexture(const char)’:
    ../src/texture.cpp:56:42: error: ‘memset’ was not declared in this scope
    memset(bitmap,255,sizeof(sRGB8)
    100100);
    ^
    ../src/texture.cpp: In constructor ‘cTexture::cTexture()’:
    ../src/texture.cpp:66:41: error: ‘memset’ was not declared in this scope
    memset(bitmap,255,sizeof(sRGB8)
    100100);
    ^
    make:
    ** [src/texture.o] Error 1

    I am using :

    gcc -v
    Using built-in specs.
    COLLECT_GCC=gcc
    COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/lto-wrapper
    Target: x86_64-unknown-linux-gnu
    Configured with: /build/gcc/src/gcc-4.8-20130725/configure --prefix=/usr
    --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man
    --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/--enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared
    --enable-threads=posix --with-system-zlib --enable-__cxa_atexit
    --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch
    --enable-gnu-unique-object --enable-linker-build-id
    --enable-cloog-backend=isl --disable-cloog-version-check --enable-lto
    --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold
    --with-linker-hash-style=gnu --disable-install-libiberty --disable-multilib
    --disable-libssp --disable-werror --enable-checking=release
    Thread model: posix
    gcc version 4.8.1 20130725 (prerelease) (GCC)

    found attached a patch.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/mandelbulber/bugs/11/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #11

  • Krzysztof Marczak

    • status: open-accepted --> closed-fixed
     
  • Krzysztof Marczak

    Used patch on the code

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks